document.addEventListener('DOMContentLoaded', () => {
  // Mobile Menu Toggle
  const mobileMenuBtn = document.querySelector('.mobile-menu-btn');
  const navLinks = document.querySelector('.nav-links');

  mobileMenuBtn.addEventListener('click', () => {
    navLinks.classList.toggle('active');
    const spans = mobileMenuBtn.querySelectorAll('span');
    spans[0].classList.toggle('rotate-45');
    spans[1].classList.toggle('opacity-0');
    spans[2].classList.toggle('rotate-negative-45');
  });

  // Sample Standings Data
  const standingsData = [
    { position: 1, team: 'Western', played: 10, won: 8, lost: 2, points: 40 },
    { position: 2, team: 'Queens', played: 10, won: 7, lost: 3, points: 35 },
    { position: 3, team: 'McMaster', played: 10, won: 6, lost: 4, points: 30 },
    // Add more teams as needed
  ];

  // Populate Standings Table
  const standingsBody = document.getElementById('standings-body');
  standingsData.forEach(team => {
    const row = document.createElement('tr');
    row.innerHTML = `
      <td>${team.position}</td>
      <td>${team.team}</td>
      <td>${team.played}</td>
      <td>${team.won}</td>
      <td>${team.lost}</td>
      <td>${team.points}</td>
    `;
    standingsBody.appendChild(row);
  });

  // Sample Roster Data
  const rosterData = [
    { name: 'John Smith', position: 'Prop', number: 1 },
    { name: 'Mike Johnson', position: 'Hooker', number: 2 },
    { name: 'David Wilson', position: 'Lock', number: 3 },
    // Add more players as needed
  ];

  // Populate Roster Grid
  const rosterGrid = document.getElementById('roster-grid');
  rosterData.forEach(player => {
    const playerCard = document.createElement('div');
    playerCard.className = 'player-card';
    playerCard.innerHTML = `
      <h3>${player.name}</h3>
      <p>Position: ${player.position}</p>
      <p>Number: ${player.number}</p>
    `;
    rosterGrid.appendChild(playerCard);
  });

  // Smooth Scrolling for Navigation
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });
});